// replace string like [CRASHING] [GRUNTING] (Music) * Music * to empty
// you can add more regex in below array
var replaceRegs = [/\[[^\]]+\]/g,/\([^\)]+\)/g,/\*[^\*]+\*/g]

// replace all match regs string to '' empty
function processRow(row) {
  _.forEach(replaceRegs, function(reg) {
    let t = row.text
    if (reg.test(t)) {
       row.memo = t // write back memo to show origin text for manual review (WM-V5.4.8)
       row.text = t.replace(reg, "")
       // when mark changed you can then use column header 'M' to quick sort all changed rows to top
       row.markChanged = true
       console.log(row)
    }
  })
  if (row.markChanged) {
    return row
  }
}
